Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684771 - [abrt] amdgpu_device_ip_resume_phase2: WARNING: CPU: 3 PID: 28861 at drivers/gpu/drm/amd/amdgpu/../display/amdgpu_dm/amdgpu_dm.c:890 dm_resume+0x2b8/0x2d0 [amdgpu] [amdgpu] [NEEDINFO]
Summary: [abrt] amdgpu_device_ip_resume_phase2: WARNING: CPU: 3 PID: 28861 at drivers/...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a055d2b6276926d25789d4476a7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-02 11:20 UTC by Rick Elrod
Modified: 2019-04-09 20:46 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
labbott: needinfo? (relrod)


Attachments (Terms of Use)
File: dmesg (deleted)
2019-03-02 11:20 UTC, Rick Elrod
no flags Details

Description Rick Elrod 2019-03-02 11:20:48 UTC
Description of problem:
This happened when booting my computer from suspend (after being put into suspend via xfce4).

Additional info:
reporter:       libreport-2.10.0
WARNING: CPU: 3 PID: 28861 at drivers/gpu/drm/amd/amdgpu/../display/amdgpu_dm/amdgpu_dm.c:890 dm_resume+0x2b8/0x2d0 [amdgpu]
Modules linked in: sctp xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink uinput rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep lm92 sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_hdmi edac_mce_amd snd_hda_codec_generic snd_hda_intel kvm snd_hda_codec btusb btrtl btbcm snd_hda_core btintel irqbypass joydev snd_hwdep bluetooth snd_seq snd_seq_device snd_pcm wmi_bmof snd_timer ecdh_generic snd rfkill sp5100_tco k10temp i2c_piix4 soundcore pcc_cpufreq gpio_amdpt gpio_generic acpi_cpufreq dm_crypt amdgpu chash i2c_algo_bit amd_iommu_v2 gpu_sched drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel hid_elecom ccp r8169 realtek wmi pinctrl_amd
CPU: 3 PID: 28861 Comm: kworker/u32:17 Not tainted 4.20.11-200.fc29.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. AB350M-DS3H/AB350M-DS3H-CF, BIOS F24 12/25/2018
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:dm_resume+0x2b8/0x2d0 [amdgpu]
Code: 75 36 48 83 c4 10 5b 5d 41 5c 41 5d 41 5e c3 48 c7 c7 b8 57 85 c0 e8 97 71 d8 ff e9 14 fe ff ff e8 6d a5 ff ff e9 34 fe ff ff <0f> 0b e9 17 ff ff ff 0f 0b e9 75 ff ff ff e8 f5 fa 98 d3 0f 1f 44
RSP: 0018:ffffa712a385fd50 EFLAGS: 00010202
RAX: 0000000000000002 RBX: ffff8a7041be0000 RCX: 0000000000000006
RDX: ffff8a6f682c7800 RSI: ffff8a6fe6f2b480 RDI: ffff8a703e8e2400
RBP: ffff8a704c5ae000 R08: 0000000000000000 R09: ffffffffc04a8000
R10: ffff8a6f6914d300 R11: 0000000000000001 R12: 0000000000000000
R13: ffff8a7043084400 R14: ffff8a70418b1dc8 R15: ffffffff95144053
FS:  0000000000000000(0000) GS:ffff8a704eac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000021020a000 CR4: 00000000003406e0
Call Trace:
 amdgpu_device_ip_resume_phase2+0x58/0xb0 [amdgpu]
 amdgpu_device_resume+0xb3/0x360 [amdgpu]
 ? pci_pm_suspend_late+0x30/0x30
 dpm_run_callback+0x59/0x150
 device_resume+0xac/0x1f0
 async_resume+0x19/0x30
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1a1/0x3a0
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_on_node+0x60/0x60
 ret_from_fork+0x22/0x40

Potential duplicate: bug 1626756

Comment 1 Rick Elrod 2019-03-02 11:20:51 UTC
Created attachment 1540013 [details]
File: dmesg

Comment 2 Laura Abbott 2019-04-09 20:46:15 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.